#pragma once

#include <db/EventInfo.h>

class EventDAO {
public:
    [[nodiscard]] static int insertEvent(const EventInfo &event);

    [[nodiscard]] static bool updateEvent(
        int id,
        const EventStatus &status
    );

    [[nodiscard]] static QList<EventInfo> getAllEvents(const EventStatus &status);

    [[nodiscard]] static EventInfo getFirstWaitEventByDeviceId(const QString &key);
};
